export interface Field {
    group: string;
    type: string;
    optional: boolean;
    field: string;
    description?: string;
}
export interface Fields {
    [key: string]: Field[];
}
interface Example {
    title: string;
    content: string;
    type: string;
}
interface ErrorFields {
    [key: string]: {
        group: string;
        optional: boolean;
        field: string;
        description: string;
    };
}
export interface ApiData {
    type: string;
    url: string;
    title: string;
    description: string;
    name: string;
    group: string;
    parameter: {
        fields: Fields;
    };
    success: {
        fields: Fields;
        examples: Example[];
    };
    error: {
        fields: ErrorFields;
    };
    version: string;
    filename: string;
    groupTitle: string;
}
export {};
