export interface CreateProductRequest {
	params: {
		/**
		 * Shop id.
		 */
		shop: string;
		/**
		 * country of the shop
		 */
		country: string;
		/**
		 * ID of the register
		 */
		registerId: string;
	};

	body?: {
		/**
		 * i18n name for the product
		 */
		name?: string | object;
		/**
		 * price for the product
		 */
		price?: number;
		/**
		 * vat for the product
		 */
		vat?: number;
		/**
		 * description for the product
		 */
		description?: string;
	};
}
export interface CreateProductResponse {
	/**
	 * Data of the created product
	 */
	product: {
		/**
		 * i18n name of the product
		 */
		name: any;
		/**
		 * Date of the last change in status of the product
		 */
		statusDate: string;
		/**
		 * ID of the product
		 */
		id: string;
		/**
		 * ID of the store selling this product
		 */
		storeId: string;
	};
}
/**
 * Add a product to the shop
 */
export function createProduct(
	request: CreateProductRequest
): Promise<CreateProductResponse>;
