export interface GetPlanningRequest {
	params: {
		/**
		 * Organisation ID.
		 */
		organisation: string;
		/**
		 * Patient ID.
		 */
		patient: string;
		/**
		 * Only return planning for specific day.
		 */
		day?: number;
	};
}
/**
 * Retrieve the planning for a patient optionally for a single day.
 */
export function GetPlanning(request: GetPlanningRequest): Promise<any>;
export interface UpdateCareRecordsRequest {
	params: {
		/**
		 * Organisation ID.
		 */
		organisation: string;
		/**
		 * Affected item
		 */
		code: string;
		/**
		 * Key/Value of the updated property in the coderecord
		 */
		property: any;
	};
}
/**
 * Update existing carerecords.
 */
export function UpdateCareRecords(request: UpdateCareRecordsRequest): Promise<void>;
